
CN REST - Task #7423

Story # 7422 (Closed): Invalid system metadata with some CN system metadata entries

Python baseclient should handle invalid system metadata produced by the CNs

2015-10-12 15:01 - Dave Vieglais

Status: Closed Start date: 2015-10-12

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.2.0   

Story Points:    

Description

CNs are producing invalid system metadata, confusing NULL with empty strings or empty structures.

The Pyxb parser is stricter than Jibx, and raises validation errors when parsing invalid system metadata. In the cases examined, the

errors are inconsequential, so it is safe to ignore the invalid xml error.

Task is to adjust the python baseclient class to support retrying of the invalid system metadata for known conditions.

Related issues:

Related to Python GMN - Bug #7738: GMN perpetually retries system metadata up... New 2016-04-14

History

#1 - 2015-10-12 15:03 - Dave Vieglais

Exceptions thrown are:

pyxb.SimpleFacetValueError and pyxb.IncompleteElementContentError

Add option to ignore these errors and retry parsing of the invalid content.

#2 - 2015-10-12 15:14 - Dave Vieglais

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0

Resolved with r16646

#3 - 2016-04-14 14:27 - Mark Servilla

- Related to Bug #7738: GMN perpetually retries system metadata updates after failures added
